Subject: Re: ndfc driver on Kilauea board

From: Felix Radensky <[email-masked]>
Date: Thu, 5 Feb 2009 06:43:06 -0800 (PST)

Felix Radensky wrote:
> 
> Hi,
> 
> I'm trying to enable Linux ndfc driver on Kilauea (ppc405ex) board rev 1.2
> running
> u-boot v2009.01 and linux-2.6.29-rc3. I've enabled NDFC in kernel config
> and
> updated kilauea.dts as described in
> Documentation/powerpc/dts-bindings/4xx/ndfc.txt
> NDFC chip select is 1, so it matches the example in ndfc.txt
> However driver probe routine is not called by the kernel, and NAND is not
> identified. What am I missing ?  The same driver (backported) works for me
> on custom 460EX board with u-boot-1.3.4 and linux-2.6.28
> 
> Thanks a lot in advance.
> 
> Felix.
> 

U-boot on Kilauea ships with the following  definitions:

fdt_addr=0xfc1e0000
net_nfs_fdt=tftp 200000 ${bootfile};tftp ${fdt_addr} ${fdt_file};run nfsargs
addip addtty;bootm 200000 - ${fdt_addr}

I was running net_nfs_fdt to download kernel and fdt from network, but in
reality
fdt stored on flash was used, which has no ndfc definitions. Now that I'm
using 
a proper ftd, NAND is properly identified.

Sorry for the noise.

Felix.
-- 
View this message in context: http://www.nabble.com/ndfc-driver-on-Kilauea-board-tp21851244p21852712.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.